<?php
include("../header.php");
include_once("../php/header.php");
?>

<script>
///....
	if(myLevel!="Master"){
		alert("No tiene acceso a este modulo del sitema")
		window.location.href="../menu/menu.php";
		
	}
</script>
<div class="container-fluid">
<ol class="breadcrumb">
  <li><a href="#">Parametros</a></li>
  <li><a href="#"><b>Enlazar cuentas</b></a></li>
 
</ol>

			
					<div class="row">
						<div class="col-md-1 mt-2">
							<label for="ventas">Punto de ventas</label>
						</div>

						<div class="col-md-2">
							<select class="form-control mt-2 bold" id="ventas">
							<?php
								$tr .= "<option value=''>--Seleccione-</option>";
								$a = mysql_query("select * from cuentas");
								while($rs = mysql_fetch_array($a)){
									$numero = $rs["numero"];
									$descripcion = $rs["descripcion"];
									$tr .= "<option value='$numero'>".$rs["descripcion"]."</option>";
								echo $tr;
								}
								?>
							</select>
						</div>
                        
						
					</div>

					
					<div class="row">
						<div class="col-md-1 mt-2">
							<label for="folio">Compras</label>
						</div>

						<div class="col-md-2">
							<select class="form-control mt-2 bold" id="compras">
								<option value="POS">POS</option>
								<option value="Carta">Carta</option>
							</select>
						</div>
                        
						
					</div>
					
					<h2>Ingreso/Egreso</h2>
					<hr>
					
					<div class="row">
						<div class="col-md-1 mt-2">
							<label for="pagos_clientes">Pagos de clientes</label>
						</div>

						<div class="col-md-2">
							<select class="form-control mt-2 bold" id="pagos_clientes">
								<option value="POS">POS</option>
								<option value="Carta">Carta</option>
							</select>
						</div>
                        
						
					</div>
					<div class="row">
						<div class="col-md-1 mt-2">
							<label for="otros_ingresos">Otros ingresos</label>
						</div>

						<div class="col-md-2">
							<select class="form-control mt-2 bold" id="otros_ingresos">
								<option value="POS">POS</option>
								<option value="Carta">Carta</option>
							</select>
						</div>
                        
						
					</div>
					
					<div class="row">
						<div class="col-md-1 mt-2">
							<label for="pagos_proveedores">Pagos a proveedores</label>
						</div>

						<div class="col-md-2">
							<select class="form-control mt-2 bold" id="pagos_proveedores">
								<option value="POS">POS</option>
								<option value="Carta">Carta</option>
							</select>
						</div>
                        
						
					</div>
					
					<div class="row">
						<div class="col-md-1 mt-2">
							<label for="otros_egresos">Otros egresos</label>
						</div>
						

						<div class="col-md-2">
							<select class="form-control mt-2 bold" id="otros_egresos">
								<option value="POS">POS</option>
								<option value="Carta">Carta</option>
							</select>
						</div>
                        
						
					</div>

        				 <div class="col-md-2">
							<button class="btn btn-default mt-2 text-success" onClick="grabar()"><i class="fa fa-save fa-lg"></i> Actualizar</button>
						</div>

<?php
include("../footer.php");
?>


<script type="text/javascript">
$("#txt-caja").val(localStorage.getItem("caja"));
///$("#txt-reporte-venta").val(localStorage.getItem("reporte-venta"));
$("#txt-impresion").val(localStorage.getItem("impresion"));
var impresion = localStorage.getItem("impresion");

if(impresion=="" || impresion==null){
	localStorage.setItem("impresion", "POS");

}
  function grabar(){
     if(!confirm("Seguro(a) que desea aztualizar este registro?")){return;}                   
    
     var caja = $("#txt-caja").val();
     impresion = $("#txt-impresion").val();
	 var reporte_venta = $("#txt-reporte-venta").val()
     localStorage.setItem("impresion", impresion);
	 localStorage.setItem("reporte-venta", reporte_venta);
     if(caja==""){alert('Faltan datos'); return}

    		localStorage.setItem("caja", caja);

           //grabar_en_servidor();
           alert("Caja creada satisfactoriamente!")

     }


     function grabar_en_servidor(){
        var caja = $("#txt-caja").val();
        if(caja=="Cerrado"){alert("El nombre de la caja no puede quedar vacio"); return;}
        if(!confirm("Seguro de actualizar esta caja?")){return;}

        var sql = "insert into cajas set ";
            sql+=" nombre='"+$("#txt-caja").val()+"'"
            
        _enviar("../php/update.php",{sql:sql})
        .done( function  ( data ){
            if(data=="1"){alert("Caja creada satisfactoriamente!"); window.location.reload() }else{alert(data)}
        })
    }
</script>